curl --request GET \
--url https://api.dev.name.com/core/v1/domains/{domainName}/vanity_nameservers/{hostname} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dev.name.com/core/v1/domains/{domainName}/vanity_nameservers/{hostname}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dev.name.com/core/v1/domains/{domainName}/vanity_nameservers/{hostname}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domainName": "example.com",
"hostname": "ns1.example.com",
"ips": [
"192.168.1.1",
"2001:0db8:85a3:0000:0000:8a2e:0370:7334"
]
}{
"message": "Bad Request",
"details": "'domainName' cannot be null"
}{
"message": "Unauthorized"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Not Found",
"details": "The requested domain does not exist."
}{
"message": "Method Not Allowed"
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "Service Unavailable",
"details": "The API is offline for scheduled maintenance. See https://status.name.com for updates."
}{
"message": "The upstream server is taking too long to respond."
}Get Vanity Nameserver
Retrieves details for a of a specific vanity nameserver (including its IP addresses).
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Path Parameters
The domain name associated with the vanity nameserver.
"example.com"
The hostname of the vanity nameserver to retrieve.
"ns1.example.com"
Response
Details of the vanity nameserver.
VanityNameserver response schema with full hostname
DomainName is the root domain for which this vanity nameserver is created. For example, if the hostname is 'ns1.example.com', the domainName would be 'example.com'.
"example.com"
Hostname is the fully qualified domain name (FQDN) of the vanity nameserver. It must be a subdomain of the domain specified in 'domainName'.
"ns1.example.com"
IPs is a list of IP addresses that are used for glue records for this vanity nameserver. These should be valid IPv4 or IPv6 addresses.
1[
"192.168.1.1",
"2001:0db8:85a3:0000:0000:8a2e:0370:7334"
]
Was this page helpful?